# -*- coding: utf8 -*-

from __future__ import unicode_literals, absolute_import, print_function

from talos.services.models.base import ServiceModelBase


class Tag(ServiceModelBase):
    """tag object.

    :properties:
        id
        name
        tag_type
    """

    __slots__ = ['id', 'name', 'tag_type', ]

    def __init__(self, id, name, tag_type):
        self.id = int(id)
        self.name = name
        self.tag_type = tag_type
